Commit dbcce1da authored by Pietro Abate's avatar Pietro Abate
Browse files

[r2007-05-23 17:10:17 by afrisch] Empty log message

Original author: afrisch
Date: 2007-05-23 17:10:17+00:00
parent d9699baa
...@@ -68,6 +68,9 @@ package: clean ...@@ -68,6 +68,9 @@ package: clean
tar czf $(PACKAGE).tar.gz --exclude CVS --exclude ".#*" $(PACKAGE) tar czf $(PACKAGE).tar.gz --exclude CVS --exclude ".#*" $(PACKAGE)
rm -Rf $(PACKAGE) rm -Rf $(PACKAGE)
upload:
scp $(PACKAGE).tar.gz cduce@di.ens.fr:public_html/download
#cvs_snapshot: #cvs_snapshot:
# $(MAKE) package VERSION=cvs`date +%Y%m%d` # $(MAKE) package VERSION=cvs`date +%Y%m%d`
......
VERSION=0.4.1 VERSION=0.4.2
The CDuce compiler The CDuce compiler
Alain Frisch <Alain.Frisch@inria.fr> and the CDuce team Alain Frisch <Alain.Frisch@inria.fr> and the CDuce team
Copyright CNRS,INRIA, 2003,2004,2005,2006 (see LICENSE for details) Copyright CNRS,INRIA, 2003,2004,2005,2006,2007 (see LICENSE for details)
...@@ -6,10 +6,12 @@ ...@@ -6,10 +6,12 @@
<box title="Sources tarballs" link="src"> <box title="Sources tarballs" link="src">
<p> <p>
The latest available version for download is the 0.4.1 release. The latest available version for download is the 0.4.2 release.
</p> </p>
<ul> <ul>
<li><a href="download/cduce-0.4.1.tar.gz">Version 0.4.2 (for
OCaml 3.09)</a></li>
<li><a href="download/cduce-0.4.1.tar.gz">Version 0.4.1 (for <li><a href="download/cduce-0.4.1.tar.gz">Version 0.4.1 (for
OCaml 3.09)</a></li> OCaml 3.09)</a></li>
<li><a href="download/cduce-0.4.0.tar.gz">Version 0.4.0 (for <li><a href="download/cduce-0.4.0.tar.gz">Version 0.4.0 (for
......
...@@ -37,6 +37,15 @@ by <a href="examples.html#site">a CDuce program</a>. ...@@ -37,6 +37,15 @@ by <a href="examples.html#site">a CDuce program</a>.
<box title="Latest News" link="news"> <box title="Latest News" link="news">
<p><b>2007, May 23rd: CDuce 0.4.2 is out!</b><br/>
See the <local href="download"/>
page for download information, or the <a href="CHANGES">CHANGES</a>
file to know what's new.
</p>
<p>
GODI users can simply update their <tt>apps-cduce</tt> package.
</p>
<p><b>2007, May 11th: AADL parser in OCaml, with OCamlDuce</b> <p><b>2007, May 11th: AADL parser in OCaml, with OCamlDuce</b>
<br/> <br/>
Erwan Jahier and Louis Mandel used OCamlDuce to implement Erwan Jahier and Louis Mandel used OCamlDuce to implement
...@@ -56,6 +65,9 @@ with minimal effort. ...@@ -56,6 +65,9 @@ with minimal effort.
</p> </p>
<!--
<p><b>2006, Oct 2nd: CDuce 0.4.1 is out!</b><br/> <p><b>2006, Oct 2nd: CDuce 0.4.1 is out!</b><br/>
See the <local href="download"/> See the <local href="download"/>
page for download information, or the <a href="CHANGES">CHANGES</a> page for download information, or the <a href="CHANGES">CHANGES</a>
...@@ -65,8 +77,6 @@ file to know what's new. ...@@ -65,8 +77,6 @@ file to know what's new.
GODI users can simply update their <tt>apps-cduce</tt> package. GODI users can simply update their <tt>apps-cduce</tt> package.
</p> </p>
<!--
<section title="2006, May 4th, Tuesday: RPM packages available"> <section title="2006, May 4th, Tuesday: RPM packages available">
<p> <p>
An RPM package for cduce is available in the <local href="download"/> An RPM package for cduce is available in the <local href="download"/>
......
...@@ -20,7 +20,10 @@ regular expression types and patterns, iterators. ...@@ -20,7 +20,10 @@ regular expression types and patterns, iterators.
</p> </p>
<p> <p>
OCamlDuce is distributed under the Q Public License version 1.0. The licensing conditions for OCaml and CDuce apply to the files
directly derived from these projects. Other files are distributed
under a choice of any of two licenses used for OCaml (with the same
exceptions).
</p> </p>
<ul> <ul>
...@@ -44,8 +47,9 @@ applications</local>.</li> ...@@ -44,8 +47,9 @@ applications</local>.</li>
<box title="Download and installation" link="install"> <box title="Download and installation" link="install">
<p> <p>
Currently, OCamlDuce The latest version of OCamlDuce is based on OCaml 3.10.0 and CDuce
is based on OCaml 3.09.3 and CDuce 0.4.0. 0.4.2. It is distributed under the same terms as these two projects.
(See the file LICENSE in the distribution for more information.)
</p> </p>
<ul> <ul>
...@@ -61,6 +65,9 @@ version 3.09.2, patch level 2</a> (to be used with OCaml 3.09.2)</li> ...@@ -61,6 +65,9 @@ version 3.09.2, patch level 2</a> (to be used with OCaml 3.09.2)</li>
<li><a <li><a
href="http://gallium.inria.fr/~frisch/ocamlcduce/download/ocamlduce-3.09.3pl1.tar.gz">Compiler href="http://gallium.inria.fr/~frisch/ocamlcduce/download/ocamlduce-3.09.3pl1.tar.gz">Compiler
version 3.09.3pl1</a> (to be used with OCaml 3.09.3)</li> version 3.09.3pl1</a> (to be used with OCaml 3.09.3)</li>
<li><a
href="http://gallium.inria.fr/~frisch/ocamlduce/download/ocamlduce-3.10.0.tar.gz">Compiler
version 3.10.0</a> (to be used with OCaml 3.10.0)</li>
</ul> </ul>
<p> <p>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment